package com.fs.store.mapper;

import java.util.List;

import com.fs.store.domain.FsStoreProductAttr;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Select;

/**
 * 商品属性Mapper接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface FsStoreProductAttrMapper 
{
    /**
     * 查询商品属性
     * 
     * @param id 商品属性ID
     * @return 商品属性
     */
    public FsStoreProductAttr selectFsStoreProductAttrById(Long id);

    /**
     * 查询商品属性列表
     * 
     * @param fsStoreProductAttr 商品属性
     * @return 商品属性集合
     */
    public List<FsStoreProductAttr> selectFsStoreProductAttrList(FsStoreProductAttr fsStoreProductAttr);

    /**
     * 新增商品属性
     * 
     * @param fsStoreProductAttr 商品属性
     * @return 结果
     */
    public int insertFsStoreProductAttr(FsStoreProductAttr fsStoreProductAttr);

    /**
     * 修改商品属性
     * 
     * @param fsStoreProductAttr 商品属性
     * @return 结果
     */
    public int updateFsStoreProductAttr(FsStoreProductAttr fsStoreProductAttr);

    /**
     * 删除商品属性
     * 
     * @param id 商品属性ID
     * @return 结果
     */
    public int deleteFsStoreProductAttrById(Long id);

    /**
     * 批量删除商品属性
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsStoreProductAttrByIds(Long[] ids);
    @Delete("delete from fs_store_product_attr where product_id=#{productId}  ")
    int clear(Long productId);
    @Select("select * from fs_store_product_attr where product_id=#{productId} ")
    List<FsStoreProductAttr> selectFsStoreProductAttrByProductId(Long productId);
}
